#include <sys/types.h>
#include <stdio.h>
#include <unistd.h>
#include "cs.h"

main()
{
	int i, j, cs;
	pid_t pid = getpid();

	cs = cs_create(1);
	if(cs < 0)
	{
		perror("cannot create critical section");
		return;
	}

	for(i = 0; i < 10; ++i)
	{
		cs_enter(cs);
		for(j = 0; j < 10; ++j)
		{
			printf("PROCESS %u\n", pid);
			usleep(10);
		}
		cs_leave(cs);
		usleep(10);
	}
}
