#include <unistd.h>
#include <stdio.h>

main(int argc, char* argv[])
{
	int p1[2];
	int p2[2];

	if(argc != 3)
	{
		printf("Usage: es1 FileName Printer\n");
		return;
	}

	pipe(p1);

	if(fork() == 0)
	{
		dup2(p1[1], 1);
		close(p1[0]);
		close(p1[1]);
		execlp("gunzip", "gunzip", "-cq", argv[1], NULL);
	}

	pipe(p2);
	if(fork() == 0)
	{
		dup2(p1[0], 0);
		dup2(p2[1], 1);
		close(p1[0]);
		close(p1[1]);
		close(p2[0]);
		close(p2[1]);

		execlp("sort", "sort", NULL);
	}


	dup2(p2[0], 0);
	close(p1[0]);
	close(p1[1]);
	close(p2[0]);
	close(p2[1]);

	execlp("lpr", "lpr", "-P", argv[2], NULL);
}
