#include <sys/types.h>
#include <sys/stat.h>
#include <stdio.h>

main(int argc, char* argv[])
{
	FILE* f;
	
	if(argc != 2)
	{
		fprintf(stderr, "Usage: %s String\n", argv[0]);
		return;
	}

	f = fopen("../s.fifo", "w");
	if(f == NULL)
	{
		fprintf(stderr, "Unable to open FIFO\n");
		return;
	}

	fputs(argv[1], f);

	fclose(f);
}
