#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/msg.h>
#include <stdio.h>

#define FNAME	"/tmp"
#define BUF_SIZE	1024

#define SVR_PRJ	'\0'
#define CLT_PRJ	'\1'

#define CMD_QUIT	0
#define CMD_TOLOWER	1
#define CMD_TOUPPER	2

struct cmd {
	long command;
	char buffer[BUF_SIZE];
};

struct msg {
	long mtype;
	struct cmd data;
};

int openqueue(char project);

main()
{
	int svr_id, clt_id;
	struct msg message;
	
	svr_id = openqueue(SVR_PRJ);
	clt_id = openqueue(CLT_PRJ);
	
	memset(&message, 0, sizeof(message));
	message.mtype = getpid();
	message.data.command = CMD_TOLOWER;
	strcpy(message.data.buffer, "BISOGNA CONVERTIRE LA STRINGA");
	
	msgsnd(svr_id, (struct msgbuf*)&message, sizeof(struct cmd), 0);

	memset(&message, 0, sizeof(message));
	msgrcv(clt_id, (struct msgbuf*)&message, sizeof(struct cmd), 0, 0);
	
	printf("%s\n", message.data.buffer);
}

int openqueue(char project)
{
	key_t k = ftok(FNAME, project);
	return msgget(k, 0);
}
