#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include <stdio.h>
#include "ev.h"

#define PROJECT	2

#define EV_SERVER	3
#define EV_CLIENT	4

#define FILE_NAME	"/tmp"
#define BUF_SIZE	1024

#define CMD_QUIT	0
#define CMD_TOUPPER	1
#define CMD_TOLOWER	2

#define RES_OK		0
#define RES_FAIL	1

struct msg {
	int cmd;
	int result;
	int len;
	char buffer[BUF_SIZE];
};

main()
{
	key_t k = ftok(FILE_NAME, PROJECT);
	int shmid = shmget(k, sizeof(struct msg), 0);
	struct msg* m = shmat(shmid, NULL, 0);
	int evs = ev_open(EV_SERVER);
	int evc = ev_open(EV_CLIENT);
	
	m->cmd = CMD_TOUPPER;
	m->len = strlen("richiesta client CMD_TOLOWER");
	strcpy(m->buffer, "richiesta client CMD_TOLOWER"); 
	ev_raise(evs);
	ev_wait(evc);
	printf("%s\n", m->buffer);
	shmdt(m);
}
