#include <stdio.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <unistd.h>

int main(int arc, char** argv)
{
	pid_t pid;

	while(1) /* esegue all'infinito */
	{
		sleep(5); /* attende 5 secondi */
		pid = fork(); /* crea un nuovo processo */
		if(pid == 0) /* processo figlio */
		{
			/* carica il testo del programma
			   date e lo esegue */
			execlp("date", "date", NULL);
			/* se la chiamata di sistema exec riesce
                           il codice che segue e' sostituito
			   dal testo del programma date e quindi
			   non sara' eseguito
			   */
			printf("can't load date\n");
			return -1;
		}
		if(pid != -1) /* fork ha avuto successo */
			wait(0); /* attende che il processo figlio termini */
	}
}
