#include <stdio.h>

#define MAX_LINE	1024

void strupr(char*);

main()
{
	char line[MAX_LINE];
	unsigned long lines = 0;
	unsigned long chars = 0;
	FILE *fin, *fout;
	
	fin = fopen("test.txt", "r");
	
	if(!fin)
	{
		printf("cannot open test.txt\n");
		return -1;
	}
	
	fout = fopen("test.upr", "w");
	
	if(!fout)
	{
		fclose(fin);
		printf("cannot create test.upr\n");
		return -1;
	}
	
	while(fgets(line, sizeof(line) - 1, fin))
	{
		++lines;
		strupr(line);
		fputs(line, fout);
	}
	
	chars = ftell(fin);
	
	fclose(fin);
	fclose(fout);
	
	printf("converted %lu characters on %lu lines\n", chars, lines);	
	
} 

void strupr(char* s)
{
	while(*s != '\0')
	{
		if(*s >= 'a' && *s <= 'z')
			*s -= 'a' - 'A';
		++s;
	};
}
